"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const dataZoomProcessor = require("./dataZoomProcessor.js");
const dataZoomAction = require("./dataZoomAction.js");
var installed = false;
function installCommon(registers) {
  if (installed) {
    return;
  }
  installed = true;
  registers.registerProcessor(registers.PRIORITY.PROCESSOR.FILTER, dataZoomProcessor.default);
  dataZoomAction.default(registers);
  registers.registerSubTypeDefaulter("dataZoom", function() {
    return "slider";
  });
}
exports.default = installCommon;
